/*
 * LivraisonInspecteurNibnb.java
 *
 * Created on 30 octobre 2008, 13:11
 */

package org.cocktail.corossol.client.nib;

import org.cocktail.application.palette.JPanelCocktail;

public class LivraisonDetailInspecteurNib extends JPanelCocktail {
    
    /** Creates new form LivraisonInspecteurNib */
    public LivraisonDetailInspecteurNib() {
        initComponents();
    }

	public javax.swing.JTextField getJTextFieldMontant() {
		return jTextFieldMontant;
	}

	public void setJTextFieldMontant(javax.swing.JTextField formattedTextFieldMontant) {
		jTextFieldMontant = formattedTextFieldMontant;
	}

	public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailLigneBudgetaire() {
		return jTextFieldCocktailLigneBudgetaire;
	}

	public void setJTextFieldCocktailLigneBudgetaire(org.cocktail.application.palette.JTextFieldCocktail textFieldCocktailLigneBudgetaire) {
		jTextFieldCocktailLigneBudgetaire = textFieldCocktailLigneBudgetaire;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailAnnuler() {
		return jButtonCocktailAnnuler;
	}

	public void setJButtonCocktailAnnuler(org.cocktail.application.palette.JButtonCocktail buttonCocktailAnnuler) {
		jButtonCocktailAnnuler = buttonCocktailAnnuler;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailCopierColler() {
		return jButtonCocktailCopierColler;
	}

	public void setJButtonCocktailCopierColler(org.cocktail.application.palette.JButtonCocktail buttonCocktailCopierColler) {
		jButtonCocktailCopierColler = buttonCocktailCopierColler;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailValider() {
		return jButtonCocktailValider;
	}

	public void setJButtonCocktailValider(org.cocktail.application.palette.JButtonCocktail buttonCocktailValider) {
		jButtonCocktailValider = buttonCocktailValider;
	}

	public javax.swing.JFormattedTextField getJFormattedTextFieldQte() {
		return jFormattedTextFieldQte;
	}

	public void setJFormattedTextFieldQte(javax.swing.JFormattedTextField formattedTextFieldQte) {
		jFormattedTextFieldQte = formattedTextFieldQte;
	}

	public javax.swing.JTextArea getJTextAreaLibelle() {
		return jTextAreaLibelle;
	}

	public void setJTextAreaLibelle(javax.swing.JTextArea textAreaLibelle) {
		jTextAreaLibelle = textAreaLibelle;
	}

	public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailCredit() {
		return jTextFieldCocktailCredit;
	}

	public void setJTextFieldCocktailCredit(org.cocktail.application.palette.JTextFieldCocktail textFieldCocktailCredit) {
		jTextFieldCocktailCredit = textFieldCocktailCredit;
	}

	public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailImputation() {
		return jTextFieldCocktailImputation;
	}

	public void setJTextFieldCocktailImputation(org.cocktail.application.palette.JTextFieldCocktail textFieldCocktailImputation) {
		jTextFieldCocktailImputation = textFieldCocktailImputation;
	}

	public org.cocktail.application.palette.JTableViewCocktail getMesArticlesTBV() {
		return mesArticlesTBV;
	}

	public void setMesArticlesTBV(org.cocktail.application.palette.JTableViewCocktail mesArticlesTBV) {
		this.mesArticlesTBV = mesArticlesTBV;
	}

	public org.cocktail.application.palette.JTableViewCocktail getMesEngagementsTBV() {
		return mesEngagementsTBV;
	}

	public void setMesEngagementsTBV(org.cocktail.application.palette.JTableViewCocktail mesEngagementsTBV) {
		this.mesEngagementsTBV = mesEngagementsTBV;
	}

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabelCocktail7 = new org.cocktail.application.palette.JLabelCocktail();
        jButtonCocktailValider = new org.cocktail.application.palette.JButtonCocktail();
        jTextFieldCocktailCredit = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail3 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail6 = new org.cocktail.application.palette.JLabelCocktail();
        jButtonCocktailCopierColler = new org.cocktail.application.palette.JButtonCocktail();
        jTextFieldCocktailImputation = new org.cocktail.application.palette.JTextFieldCocktail();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTextAreaLibelle = new javax.swing.JTextArea();
        jLabelCocktail1 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail2 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail4 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail5 = new org.cocktail.application.palette.JLabelCocktail();
        mesEngagementsTBV = new org.cocktail.application.palette.JTableViewCocktail();
        mesArticlesTBV = new org.cocktail.application.palette.JTableViewCocktail();
        jButtonCocktailAnnuler = new org.cocktail.application.palette.JButtonCocktail();
        jFormattedTextFieldQte = new javax.swing.JFormattedTextField();
        jTextFieldCocktailLigneBudgetaire = new org.cocktail.application.palette.JTextFieldCocktail();
        jTextFieldMontant = new javax.swing.JTextField();

        jLabelCocktail7.setText("Credit : ");

        jButtonCocktailValider.setText("Valider");

        jTextFieldCocktailCredit.setText(" ");

        jLabelCocktail3.setText("Imputation : ");

        jLabelCocktail6.setText("Montant budgetaire : ");

        jButtonCocktailCopierColler.setText("Recopier");

        jTextFieldCocktailImputation.setText(" ");

        jTextAreaLibelle.setColumns(20);
        jTextAreaLibelle.setRows(5);
        jScrollPane1.setViewportView(jTextAreaLibelle);

        jLabelCocktail1.setText("Liste des engagements de la commande : ");

        jLabelCocktail2.setText("Liste des articles de la commande : ");

        jLabelCocktail4.setText("Quantite : ");

        jLabelCocktail5.setText("Libelle : ");

        jButtonCocktailAnnuler.setText("Annuler");

        jFormattedTextFieldQte.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("#,##0"))));

        jTextFieldCocktailLigneBudgetaire.setText(" ");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 297, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(jPanel1Layout.createSequentialGroup()
                                        .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 111, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(18, 18, 18))
                                    .add(jPanel1Layout.createSequentialGroup()
                                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                            .add(jPanel1Layout.createSequentialGroup()
                                                .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .add(0, 0, Short.MAX_VALUE)))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)))
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 344, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(jPanel1Layout.createSequentialGroup()
                                        .add(jTextFieldCocktailImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(jLabelCocktail7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jTextFieldCocktailCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jTextFieldCocktailLigneBudgetaire, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                    .add(jFormattedTextFieldQte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 103, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(mesArticlesTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 274, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(jButtonCocktailCopierColler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(mesEngagementsTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                        .add(17, 17, 17)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jLabelCocktail6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 160, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(74, 74, 74)
                                .add(jTextFieldMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 237, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 202, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(jButtonCocktailAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 127, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(32, 32, 32)
                                .add(jButtonCocktailValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 115, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .add(20, 20, 20)
                .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(mesEngagementsTBV, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 112, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButtonCocktailCopierColler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(mesArticlesTBV, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 114, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(8, 8, 8)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE, false)
                    .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktailImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktailCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktailLigneBudgetaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(14, 14, 14)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jFormattedTextFieldQte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jLabelCocktail6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(10, 10, 10)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jButtonCocktailValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jButtonCocktailAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jTextFieldMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
        );
    }// </editor-fold>//GEN-END:initComponents
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailAnnuler;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailCopierColler;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailValider;
    public javax.swing.JFormattedTextField jFormattedTextFieldQte;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail1;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail2;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail3;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail4;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail5;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail6;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail7;
    public javax.swing.JPanel jPanel1;
    public javax.swing.JScrollPane jScrollPane1;
    public javax.swing.JTextArea jTextAreaLibelle;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailCredit;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailImputation;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailLigneBudgetaire;
    public javax.swing.JTextField jTextFieldMontant;
    public org.cocktail.application.palette.JTableViewCocktail mesArticlesTBV;
    public org.cocktail.application.palette.JTableViewCocktail mesEngagementsTBV;
    // End of variables declaration//GEN-END:variables
    
}
